class MerchantValidationsController < ApplicationController
  def create
    uri = URI.parse(params[:validation_url])
    cert_file = File.read(Rails.root.join('files').join('xxxx.cert').to_s)
    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true
    http.cert = OpenSSL::X509::Certificate.new(cert_file)
    http.key = OpenSSL::PKey::RSA.new(cert_file)
    render json: http.post(uri.path, {
      merchantIdentifier: 'merchantID',
      domainName: 'mydomain',
      displayName: 'SHOP NAME'
    }.to_json).body
  end
end
